---
type: api
title: Get all connectors
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-actions-connectors
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-actions-connectors
products:
  - Kibana
---

# Get all connectors

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/actions/connectors`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `[] object`

- `auth_mode` (enum)
  The authentication mode used for the connector.
  Values: `shared`, `per-user`
- `config` (map string to object)
- `connector_type_id` (string)
  The connector type identifier.
- `id` (string)
  The identifier for the connector.
- `is_connector_type_deprecated` (boolean)
  Indicates whether the connector type is deprecated.
- `is_deprecated` (boolean)
  Indicates whether the connector is deprecated.
- `is_missing_secrets` (boolean)
  Indicates whether the connector is missing secrets.
- `is_preconfigured` (boolean)
  Indicates whether the connector is preconfigured. If true, the `config` and `is_missing_secrets` properties are omitted from the response.
- `is_system_action` (boolean)
  Indicates whether the connector is used for system actions.
- `name` (string)
   The name of the connector.
- `referenced_by_count` (number)
  The number of saved objects that reference the connector. If is_preconfigured is true, this value is not calculated.
#### `403`

Indicates that this call is forbidden.

## Code Examples

#### Console

```console
GET /api/actions/connectors
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/actions/connectors"
```

## Response Examples

#### A list of connectors

```json
[
  {
    "id": "preconfigured-email-connector",
    "name": "my-preconfigured-email-notification",
    "connector_type_id": ".email",
    "is_preconfigured": true,
    "is_deprecated": false,
    "referenced_by_count": 0,
    "is_system_action": false
  },
  {
    "id": "e07d0c80-8b8b-11ed-a780-3b746c987a81",
    "name": "my-index-connector",
    "config": {
      "index": "test-index",
      "refresh": false,
      "executionTimeField": "null"
    },
    "connector_type_id": ".index",
    "is_preconfigured": false,
    "is_deprecated": false,
    "referenced_by_count": 2,
    "is_missing_secrets": false,
    "is_system_action": false
  }
]
```

